Package org.gradle.api.resources

## Interface Resource

- All Known Subinterfaces:
    `ReadableResource`

      public interface Resource

  A generic resource of some kind. Only describes the resource. There are more specific interface that extend this one and specify ways of accessing the resource's content.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getBaseName()` | Short name that concisely describes this resource
    `java.lang.String` | `getDisplayName()` | Human readable name of this resource
    `java.net.URI` | `getURI()` | Uniform resource identifier that uniquely describes this resource

- - ### Method Detail

    - #### getDisplayName

          java.lang.String getDisplayName()

      Human readable name of this resource
      Returns:
        human readable name, should not be null

    - #### getURI

          java.net.URI getURI()

      Uniform resource identifier that uniquely describes this resource
      Returns:
        unique URI, should not be null

    - #### getBaseName

          java.lang.String getBaseName()

      Short name that concisely describes this resource
      Returns:
        concise base name, should not be null